#include<iostream>
#include<string>
using namespace std;
int main()
{
	int a, b;
	string n;
	char a1, b1;
	cin>>n>>a>>b;
	a1=n[0];
	b1=n[1];
	n="";
	if(a>b+1||b>a+1)
	{
		cout<<"nemguce";
		return 0;
	}
	else if(a==b+1)
	{
		for(int i=0;i<b;i++)n=n+a1+b1;
		n=n+a1;
	}
	else if(b==a+1)
	{
		for(int i=0;i<a;i++)n=n+b1+a1;
		n=n+b1;
	}
	else {
		for(int i=0;i<a-1;i++)n=n+b1+a1;
	}
	cout<<n;
	
	return 0;
}